<?php

namespace Drupal\bibcite_import_orcid\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\user\Entity\User;

/**
 * Defines bibcite_import_orcid configuration form.
 */
class ModuleConfigurationForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'bibcite_import_orcid_admin_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'bibcite_import_orcid.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('bibcite_import_orcid.settings');

    // HTML element with instructions

    $form['orcid_instructions'] = [
        "#markup" => $this->t("By default, imported publications are visible to the public. You can change that default status here:"),
    ];

    $form['orcid_unpub_default'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Use daily automatic data import/sync?'),
      '#default_value' => $config->get('orcid_unpub_default'),
  ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $values = $form_state->getValues();

    $this->config('bibcite_import_orcid.settings')
        ->set('orcid_unpub_default', $values['orcid_unpub_default'])
        ->save();
  }
}
